{%- extends 'boot/generic-qemu-tmpfs.jinja2' %}
{%- set deploy_to = "tmpfs" %}
{%- set device_type = "qemu" %}
{%- set kernel_image = "zImage" %}
{%- set device_arch = "arm" %}
{%- set sdk_arch = "arm" %}
{%- set device_mach = "arm" %}
{%- set qemu_arch = "arm" %}
{%- set qemu_cpu = "cortex-a15" %}
{%- set qemu_machine = "virt-2.11" %}
{%- set qemu_memory = "2048" %}
{%- set qemu_args = "-soundhw hda -device usb-ehci -device virtio-rng-pci" %}
{%- set qemu_cmdline = "console=ttyAMA0,115200 root=/dev/vda verbose systemd.log_color=false " %}
{%- set guestfs_interface = "virtio" %}
{%- set rootfs_type = rootfs_type|default("rootvd") %}
{%- if (build_type == 'daily') or (build_type == 'release') or (build_type == 'snapshot') or (build_type == 'prerelease') %}
    {%- set rfs_image = rfs_image|default("agl-demo-platform-crosssdk-qemuarm.ext4.xz") %}
{%- else %}
	{%- set rfs_image = rfs_image|default("agl-demo-platform-qemuarm.ext4.xz") %}
{%- endif %}
